package kz.com.aman.kassa.bank;

import android.app.Application;


import timber.log.Timber;

public class CustomApplication extends Application {
    @Override
    public void onCreate() {
        super.onCreate();
        Thread.setDefaultUncaughtExceptionHandler((thread, ex) -> {
            Timber.v(ex.getMessage());
            for (StackTraceElement element : ex.getStackTrace()) {
                Timber.v(element.toString());
            }
            ex.printStackTrace();
            System.exit(0);
        });
    }
}
